#ifndef KRIMI_DINNER_ENGINE_LOG_H
#define KRIMI_DINNER_ENGINE_LOG_H

/// @file Log.h
/// @brief Logging macros

#include <android/log.h>

#define LOG_TAG "KrimiDinnerEngine"

#define ALOGE(...) __android_log_print(ANDROID_LOG_ERROR, LOG_TAG, __VA_ARGS__);
#define ALOGW(...) __android_log_print(ANDROID_LOG_WARN, LOG_TAG, __VA_ARGS__);
#define ALOGI(...) __android_log_print(ANDROID_LOG_INFO, LOG_TAG, __VA_ARGS__);
#ifdef NDEBUG
#define ALOGV(...)
#else
#define ALOGV(...) __android_log_print(ANDROID_LOG_VERBOSE, LOG_TAG, __VA_ARGS__);
#endif

#endif //KRIMI_DINNER_ENGINE_LOG_H
