#ifndef KRIMI_DINNER_ENGINE_TOUCHINPUT_H
#define KRIMI_DINNER_ENGINE_TOUCHINPUT_H

/// @file TouchInput.h
/// @brief Touch input events

#include "Position.h"

/// @brief Describes the kind of input event
enum class TouchInputEventKind
{
    /// The user "tapped" a specific position on the screen
    Tap,

    /// The user "swiped" from a start position to an end position
    Swipe
};

/// @brief Describes a touch input event
struct TouchInputEvent
{
    /// The kind of event
    TouchInputEventKind kind;

    /// The start position for swipe events, or the touched position for tap events
    Position start;

    /// The end position for swipe events, or the touched position for tap events
    Position end;
};

#endif